*{
    margin: 0;
    padding: 0;
    font-family: 'Poppins', sans-serif;
    box-sizing: border-box;
}
html {
    /* strictly to control page redirects using navbar, allows for smooth transitions and padding on top */
    scroll-padding-top: 60px; /* Adjust based on navbar height */
    scroll-behavior: smooth;
}
ul{
    margin-top: 0;
    margin-bottom: 0;
}
body{
    /* background: #080808; */
    /* background: #030303; */
    background: #1f1f1f;
    color: #fff;
    margin-bottom: 10%;
}
p{
    color: #a1a1a1;
    letter-spacing: 1px;
    font-family: sans-serif;
}
#header{
    width: 100%;
    height: 100vh;
    background-image: url(images/laptop.avif);
    background-size: cover;
    background-position: center;
    padding-top: 80px;
}
.sub-title{
    font-size: 2.5rem;
}
.container{
    padding: 10px 0;
    width: 100%;
    /* margin: 0 auto; */
}
label.logo{
    color: white;
    /* padding: 10px 5%; */
    font-size: 35px;
    /* line-height: 80px; */
    font-weight: bold;
    /* margin-top: 0; */
}
nav{
    background-color: #080808d0;
    /* background-color: #080808be; */
    /* background-color: #08080882; */
    /* background-color: rgba(8,8,8,0.5); */
    padding: 10px 5%;
    width: 100%;
    margin-left: 0;
    margin-top: 0;
    display: flex;
    position:fixed;
    align-items: center;
    justify-content: space-between;
    flex-wrap: wrap;
    top: 0;
    z-index: 1000;
}
nav ul li{
    display: inline-block;
    list-style: none;
    margin: 10px 20px;
}
nav ul li a{
    color: #fff;
    text-decoration: none;
    font-size: 18px;
    transition: color 0.5s, text-decoration 0.5s;
}
nav ul li a:hover{
    color: #0b273d;
    text-decoration: underline;
    font-size: 18px;
    cursor: pointer;
    
}
/* -----------header----------- */
.header-text{
    margin-top: 25%;
    text-align: center;
    /* position: absolute; */
    position: relative;
    width: 100%;
    font-size: 30px;
}
.name{
    /* margin-top: 22%; */
    text-transform: uppercase;
    letter-spacing: 2px;

}
.header-title{
    color: white;
    font-size: 30px;
    margin-top: 40px;
    letter-spacing: 1px;
}
.header-button {
    margin-top: 2%;
    font-size: 1.2rem;
    background-color: #0063cd;
    /* background-color: #ff004f; */
    color: #fff; /* Add text color */
    text-align: center;
    text-decoration: none;
    display: flow;
    padding: 20px 70px;
    width: 244px; /* Adjust width to fit content */
    height: 67px;
    border: none; /* Remove border */
    border-radius: 13px;
    cursor: pointer; /* Add pointer cursor */
    box-sizing: border-box;
    transition: background-color 0.5s; /* Add transition effect */
    margin-left: auto;
    margin-right: auto;
}
.header-button:hover{
    background-color: #003166;
    /* background-color: #90002e; */

}
/* ----------projects---------- */
#projects{
    padding: 80px 5%;
    font-size: 30px;
    /* display: flex; */
}
/* .work-list{
    display: flex;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    grid-gap: 40px;
    margin-top: 50px;
} */
.work{
    border-radius: 10px;
    position: relative;
    overflow: hidden;
}
.work img{
    width: 50%;
    margin-right: auto;
    margin-left: auto;
    border-radius: 10px;
    display: block;
}
.work p{
    width:60%;
    margin-right: auto;
    margin-left: auto;
    margin-bottom: 5%;
}
.work h3{
    width:60%;
    margin-right: auto;
    margin-left: auto;
}
.carousel-item img{
    width: 100%;
}
.carousel-control-prev {
    margin: auto 1rem;
    border-radius: 3rem;
    width: 3rem;
    height: 3rem;
}
.carousel-control-next {
    margin: auto 1rem;
    border-radius: 3rem;
    width: 3rem;
    height: 3rem;
}

.card {
    height: 550px;
    width: 18rem;
    border-color: rgb(43, 43, 43);
    background-color: #37373744;
    margin: 0 auto;
    margin-top: 5%;
}
.card img{
    width: 235px;
    height: 250px;
    margin: 0 auto;
    margin-top: 15px;
    border-color: rgb(43, 43, 43);
    background-color: #3737373c;
    object-fit: cover;
    border-radius: 5px;
    transition: transform 0.5s ease;
}
.card:hover img {
    transform: scale(1.1);
    cursor:pointer;
}
.card h5 {
    font-size: 1.2rem;
    color: white;
}
.card p{
    font-size: 1rem;
}
.card-list{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    grid-gap: 40px;
    /* margin-top: 5px; */
}
.card-body {
    height: 250px;
}
.card-text {
    height: 165px;
}

/* --------------accordion ------------------ */
.accordion {
    --bs-accordion-border-color: rgb(38, 38, 38);

}
.accordion-item {
    background-color: #37373744;
}
.accordion-button {
    background-color: #37373744;
    color: white;
}
.accordion-button.collapsed::after {
    background-color: #5e5e5e;
    border-radius: 6px;
}
.overflowScroll {
    height: 975px;
    overflow: scroll;

}

/* ------------------main projects -------------- */
#main-project{
    padding: 80px 5%;
    font-size: 30px;
}
.inner-heading{
    color: #dbdbdb;
}
.component{
    margin: 15px auto;
}
.component li{
    color: #a1a1a1;
    letter-spacing: 1px;
    font-family: sans-serif;
    font-size: 1rem;
    padding-bottom:10px;
    margin-left: -10px;
}
.description{
    font-size: 1.5rem;
    color: rgb(209, 209, 209);
}
.project-tools{
    color: rgb(66, 136, 177);
    font-size: 1rem;
    display: block;
    word-spacing: 5px;
}
.about-button {
    margin-top: 2%;
    font-size: 1rem;
    background-color: #ff004f;
    color: #fff; /* Add text color */
    text-align: center;
    text-decoration: none;
    display: flow;
    padding: 20px 70px;
    width: 225px; /* Adjust width to fit content */
    border: none; /* Remove border */
    border-radius: 13px;
    cursor: pointer; /* Add pointer cursor */
    box-sizing: border-box;
    transition: background-color 0.5s; /* Add transition effect */
    margin-left: auto;
    margin-right: auto;
}
.about-button:hover{
    background-color: #90002e;
}
/* ------------------main projects video -------------- */
.video-container {
    position: relative;
    width: 100%;
    padding-bottom: 56.25%;
    height: 0;
    overflow: hidden;
}
.video-container iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}
/* ------------------main projects photo -------------- */
.image-container {
    position: relative;
    width: 100%;
    /* padding-bottom: 177.78%; */
    height: 750px;
    overflow: hidden;
    border-radius: 15px;
}
.image-container img{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    margin: auto auto;
    object-fit: contain;
    display: block;
}
.carousel-indicators {
    margin-bottom: -1.5rem;
}


/* ------------- media screen sizes ----------- */
nav .fas{
    display: none;
}
@media only screen and (max-width: 767px){
    .image-container img{
        height: 630px;
    }
    .image-container {
        height: 630px;
    }
}

@media only screen and (max-width: 620px){
    nav .fas{
        display: block;
        font-size: 25px;
    }
    nav ul{
        background: #373737;
        position: fixed;
        top: 0;
        right: -50%;
        width: 50%;
        height: 100%;
        padding-top: 50px;
        transition: .5s ease;
        /* display: none; */
    }
    nav ul li{
        display: block;
        margin: 13%;
        /* font-size: 35px; */
    }
    nav ul .fas{
        position: absolute;
        top: 25px;
        right: 25px;
        cursor: pointer;
    }
    nav ul .fas:checked{
        right: 0;
    }
    .name{
        font-size: 3rem;
    }
    /* .container {
        width: 100%;
        margin-top: 2%;
        padding: 0 0;
        margin: 0 auto;
    } */
    /* body{
        width: fit-content;
    } */
    #about .about-button{
        margin-top: -3%;
    }
    .about-col-1{
        /* picture will get 35 percent of width */
        flex-basis:40%;
        margin: 5px auto;
    }
    .about-col-1 img{
        /* picture will get 35 percent of width */
        display: flex;
        width: 300px;
        margin: 0 auto;
    }
    .row{
        display: block;
    }

    .work img{
        width: 80%;
        margin: 0px auto;
    }
    .icon-row{
        margin-bottom: -17%;
    }
    #contact .about-button{
        margin-bottom: 5%;
    }


}

.main-content-wrapper{
    max-width: 1200px;

    margin: 0 auto;
    /* padding: 0 20px; */
    box-sizing: border-box;
}